namespace CMSMicroservice.Application.StockMovementCQ.Commands.CreateStockMovement;

public class CreateStockMovementCommandValidator : AbstractValidator<CreateStockMovementCommand>
{
    public CreateStockMovementCommandValidator()
    {
        RuleFor(x => x.InventoryItemId)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.Quantity)
            .GreaterThan(0).WithMessage("تعداد باید بیشتر از صفر باشد");

        RuleFor(x => x.MovementType)
            .IsInEnum().WithMessage("نوع حرکت معتبر نیست");
    }
}
